Bug 1184705 - (CVE-2021-28421) VUL-0: CVE-2021-28421: fluidsynth: use after free vulnerability in sfloader/fluid_sffile.c that can result in arbitrary code execution or a denial of service
(CVE-2021-28421)
VUL-0: CVE-2021-28421: fluidsynth: use after free vulnerability in sfloader/...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.2
Other Other
: P3 - Medium : Minor (vote)
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/281731/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-14 08:29 UTC by Robert Frohl
Modified: 2021-04-18 01:15 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2021-04-14 08:29:16 UTC
CVE-2021-28421

FluidSynth 2.1.7 contains a use after free vulnerability in
sfloader/fluid_sffile.c that can result in arbitrary code execution or a denial
of service (DoS) if a malicious soundfont2 file is loaded into a fluidsynth
library.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-28421
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-28421
https://github.com/FluidSynth/fluidsynth/issues/808
https://github.com/FluidSynth/fluidsynth/pull/810
Comment 1 Robert Frohl 2021-04-14 08:30:46 UTC
fixed in Factory, but still an issue for Leap 15.2
Comment 2 Takashi Iwai 2021-04-14 08:57:29 UTC
The fix was submitted via MR#885288.

Reassigned back to security team.
Comment 3 OBSbugzilla Bot 2021-04-14 09:30:03 UTC
This is an autogenerated message for OBS integration:
This bug (1184705) was mentioned in
https://build.opensuse.org/request/show/885288 15.2 / fluidsynth
Comment 4 Swamp Workflow Management 2021-04-14 19:19:32 UTC
openSUSE-SU-2021:0553-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1184705
CVE References: CVE-2021-28421
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    fluidsynth-1.1.11-lp152.4.3.1
Comment 5 Alexandros Toptsoglou 2021-04-15 10:02:46 UTC
Done
Comment 6 Swamp Workflow Management 2021-04-18 01:15:16 UTC
openSUSE-SU-2021:0570-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1184705
CVE References: CVE-2021-28421
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    fluidsynth-1.1.11-bp152.4.3.1